 $(function(){

	$(window).load(function(){
		$("body").css("display","block");

/* ============================
	renewal in 2015/09/19

	01.expand image
	02.global menu	
	03.header
	04.information
	05.swiper slide
	06.accordion menu
	07.footer menu
	08.to page top
	09.inquiry
	99.header height
============================ */


/*　基本、変更するところは↓と、etc swiper slide option　*/

		var info_cnt = '0'; //お知らせのデフォルト表示数（全件表示なら'0'か''）
		var info_more = 'お知らせ'; //お知らせパーツのボタン表記
	

		//アコーディオンの<h3>を次の<h3>とぴったりくっつけたかったら使用する↓
		//$(".toggle").css('margin-bottom','0').parent(".box").css('margin-bottom','0');


		//1ページ内に複数スライドショーを入れる場合は下をコピーしてクラスを変更（cssも追加）
		swiper_option('.swiper-container','.swiper-pagination');
		swiper_option('.swiper-container2','.swiper-pagination2');
		swiper_option('.swiper-container3','.swiper-pagination3');



/* ==============================================================================================
	01.expand image
============================================================================================== */

		$('img.expand').each(function(){
			var image_link = $(this).attr("src");
			$(this).wrap('<a href="' + image_link + '" target="_blank">');
		});



/* ==============================================================================================
	02.global menu	
============================================================================================== */

		// $('.spHoverMenuBtn').html('<img src="https://ssl.xaas.jp/x0649026/images/material/s_gnavi_01.png" alt="MENU" class="img100">');
		$('.spHoverMenuCloseBtnArea').remove();
		$('.spHoverMenuBtn').click(function(){
			$('.box_fixed, .h_info, .h_info02, .pgtop, .spHoverMenu').css({'position':"absolute"});
		});
		$('.spMenuBackground, .spHoverMenuCloseBtn').click(function(){
			$('.box_fixed, .h_info, .h_info02, .pgtop, .spHoverMenu').css({'position':"fixed"});
		});
		$(".spMenuTapDisp a").on("click",function(){$(".spMenuTapDisp, .spMenuBackground").hide();});



/* ==============================================================================================
	03.header
============================================================================================== */

		var menu_position = $(".spHoverMenu").css("top");
		var headerHight = $("#fixed").height();
	
		if($(".header_a").size() > 0)
		{
			$("#page_block1").css('padding-top',headerHight);
		}
		else if($(".header_b").size() > 0)
		{
			var posi = $(".header_b").offset().top;
	
			if ($(window).scrollTop() >= posi)
			{
				$(".header_b").css({
					'position':'fixed',
					'top':0,
					'left':0,
					'width':'100%',
					'z-index':100,
				});
				$("#page_block3").css({
					'padding-top':headerHight,
				});
				$(".spHoverMenu").css({
					'position':'fixed',
					'top':0,
					'left':0,
				});
			}
			else
			{
				$(".header_b").css({
					'position':'relative',
				});
				$("#page_block3").css({
					'padding-top':0,
				});
				$(".spHoverMenu").css({
					'position':'absolute',
					'top':menu_position,
				});
			}
	
			$(window).scroll(function() {
				if ($(window).scrollTop() >= posi)
				{
					$(".header_b").css({
						'position':'fixed',
						'top':0,
						'left':0,
						'width':'100%',
						'z-index':100,
					});
					$("#page_block3").css({
						'padding-top':headerHight,
					});
					$(".spHoverMenu").css({
						'position':'fixed',
						'top':0,
						'left':0,
					});
				}
				else
				{
					$(".header_b").css({
						'position':'relative',
					});
					$("#page_block3").css({
						'padding-top':0,
					});
					$(".spHoverMenu").css({
						'position':'absolute',
						'top':menu_position,
					});
				}
			});
		}
		else if($(".header_c").size() > 0)
		{
			$("#page_block5").css('padding-bottom',headerHight);
		}
	
	
	
/* ==============================================================================================
	04.information
============================================================================================== */

		if(info_cnt >= 1 && $(".sp_info_1").size() > 0) 
		{
			var truth_cnt = 0;
			setTimeout(function(){
				$(".infoBox ul li").each(function() {
					++ truth_cnt;
				});

				if(info_cnt < truth_cnt)
				{
					info_cnt ++;

					/*
					var info_title = $(".spInfo h1").text();
					$(".spInfo h1").remove();
					$(".spInfo").prepend('<h3>' + info_title + '</h3>');
					*/
					$(".sp_info_1").append('<p class="info_more info_open">' + info_more + 'をもっと見る</p>');
					if($(".info_more").size() > 0)
					{
						var flg_info = "close_info";
						
						$(".info_more").on('click',function() {
			
							$(".infoBox ul li:nth-child(n + " + info_cnt + ")").stop().slideToggle(200);
			
							if(flg_info == "close_info")
							{
								$(".info_more").text(info_more + "を閉じる");
								$(".info_more").removeClass("info_open").addClass("info_close");
								flg_info = "open_info";
							}
							else
							{
								$(".info_more").text(info_more + "をもっと見る");
								$(".info_more").removeClass("info_close").addClass("info_open");
								flg_info = "close_info";
							}
							
						});
					}
				}

			},2000);			
		}



/* ==============================================================================================
	05.swiper slide オプション変更は最下部　⇒　etc swiper slide option
============================================================================================== */

		/*画像の自動サイズ調整（不要なら削除）*/
/*
		var mh = 0;
		$('img:last-child').bind('load',function(){ 
			$(".swiper-wrapper p img").each(function(){
				if($(this).height() < mh || mh == 0){ mh = $(this).height() }
			});
			$(".swiper-wrapper p img").css({
				'height':mh,
				'width':'auto',
			});
		});
		var timer = false;
		$(window).resize(function() {
			if (timer !== false) {
				clearTimeout(timer);
			}
			timer = setTimeout(function() {
				var mh = 0;
				$(".swiper-wrapper p img").each(function(){
					if($(this).height() < mh || mh == 0){ mh = $(this).height() }
				});
				$(".swiper-wrapper p img").css({
					'height':mh,
					'width':'auto',
				});
			}, 200);
		});
*/


/* ==============================================================================================
	06.accordion menu	
============================================================================================== */

		$(".toggle").parent().wrapInner('<div class="hide">');
		$(".hide").each(function(){
			var tag_h = $(this).html().replace(/\n/g,'').replace(/^<(.*?) (.*?)$/g,'$1');
			var arr = new RegExp("^(.*?)toggle(.*?)>(.*?)<\\/" + tag_h + ">(.*?)$");
			var tag = $(this).html().replace(/\n/g,'').replace(arr,'$1toggle$2>$3</' + tag_h + '>');
			$(".toggle",this).remove();
			$(this).before(tag);
		});
		
		$(".open").next(".hide").removeClass("hide").addClass("show");
			

		$(".toggle").click(function() {
			var _this = $(this);
			$(this).next().slideToggle(200,function(){
				if(_this.attr("class") == "toggle")
				{
					_this.addClass("open");
				}else{
					_this.removeClass("open");
				}					
			});
		});


		$("dl_toggle dt").click(function() {
			var _this = $(this);
			$(this).next().slideToggle(200,function(){
				if(_this.attr("class") == "")
				{
					_this.addClass("dl_open");
				}else{
					_this.removeClass("dl_open");
				}					
			});
		});



/* ==============================================================================================
	07.footer menu	
============================================================================================== */

		$("[class^='nav_menu'] dd").click(function(){
			var href = $(this).find("a").attr("href");
			var target = $(this).find("a").attr("target");
			var host = href.replace(/^(.*?)\/\/(.*?)#(.*?)$/,'$2');
			var path = href.replace(/^(.*?)\/\/(.*?)#(.*?)$/,'$3');

			if(target != null){
				window.open(href);
			}
			else if (location.hostname + location.pathname == host || host == '')
			{
				var target2 = "#" + path;
				auto_toggle(target2);
				var targetOffset = $(target2).offset().top - headerHight - 10;
				$("html, body").animate({scrollTop:targetOffset}, 550, "swing");
				return false;
			}
			else
			{
				window.location = href;
			}

		});



/* ==============================================================================================
	08.to page top
============================================================================================== */

		$('.pgtop').click(function() {
			$('html,body').animate({scrollTop:0}, 500);
			return false;
		});
		
		if($("#page_block5 .pgtop").size() > 0)
		{
			var timer = false;
			$(window).scroll(function() {
				if (timer !== false) {
					$(".pgtop").fadeOut(500);
					clearTimeout(timer);
				}
				timer = setTimeout(function() {
					if ($(window).scrollTop() > 100)
					{
						$(".pgtop").css('display', 'none').fadeIn(500);
					}
					else
					{
						$(".pgtop").fadeOut(500);
					}	
				}, 200);
			});
		}



/* ==============================================================================================
	09.inquiry
============================================================================================== */

		if($(".spDynamicInputPage").size() > 0)
		{
			if($("#inquiryEdit").size() > 0)
			{
				$("#inquiryEdit h1").after('<h2 class="mb0"><span>お問い合わせ内容の入力</span></h2>').remove();
			}
			else if($("#inquiryConfirm").size() > 0)
			{
				$("#inquiryConfirm h1").after('<h2 class="mb0"><span>お問い合わせ入力の確認</span></h2>').remove();
			}
			else
			{
				if($(".sp_enquete_1").size() < 1 && $(".sp_blogList_1").size() < 1)
				{
					$(".spDynamicInputPage h1").after('<h3>お問い合わせの送信結果</h3>').remove();
				}
			}
			$(".spDynamicInputPage .spTopTitle").remove();
		}



/* ==============================================================================================
	99.header height	アンカーリンクでの高さ調整 *** このscriptは自動処理の一番最後に記述
============================================================================================== */

		$('img:last-child').bind('load',function(){ 
			if(location.hash.length > 0){
				auto_toggle(location.hash);
				var target = $(location.hash);
				if($(".header_c").size() > 0)
				{
					var position = target.offset().top - 10;
				}
				else
				{
					var position = target.offset().top - headerHight - 10;
				}
				$("html, body").animate({scrollTop:position},10);
			} 
		});

		$('a[href*=#]').click(function(){
			if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname)
			{
				var target = $(this.hash);
				if(target.length == 0){
					target = $("#page_block1");
				}
				else
				{
					auto_toggle(this.hash,"task");
					if($(".header_c").size() > 0)
					{
						var targetOffset = target.offset().top - 10;
					}
					else
					{
						var targetOffset = target.offset().top - headerHight - 10;
					}
					$("html, body").animate({scrollTop:targetOffset}, 550, "swing");
					return false;
				}
			}
		});


	});

});



/* ==============================================================================================
	etc アンカーリンクによるアコーディオン処理
============================================================================================== */

function auto_toggle(id,task){

	if(task == '')
	{
		$('img:last-child').bind('load',function(){ 
			$(".toggle").each(function(){
				$(this).removeClass("open");
				if($(this).next(".show").size() > 0 || $(this).next(".hide").size() > 0)
				{
					$(this).next().removeClass("show").addClass("hide").removeAttr('style');
				}
				else
				{
					$(this).parents(".show").removeClass("show").addClass("hide").removeAttr('style');
					$(this).parents(".hide").removeClass("hide").addClass("hide").removeAttr('style');
				}
			});
		});
	}
	else
	{
		$(".toggle").each(function(){
			$(this).removeClass("open");
			if($(this).next(".show").size() > 0 || $(this).next(".hide").size() > 0)
			{
				$(this).next().removeClass("show").addClass("hide").removeAttr('style');
			}
			else
			{
				$(this).parents(".show").removeClass("show").addClass("hide").removeAttr('style');
				$(this).parents(".hide").removeClass("hide").addClass("hide").removeAttr('style');
			}
		});
	}

	if($(id).attr("class") == "toggle")
	{
		$(id).addClass("open");
	}
	else
	{
		$(id).parents(".box").find(".toggle").addClass("open");
	}
	
	if($(id).next(".hide").size() > 0)
	{
		$(id).next().removeClass("hide").addClass("show");	
	}
	else
	{
		$(id).parents(".hide").removeClass("hide").addClass("show");
	}
}

/* ==============================================================================================
	etc swiper slide option
============================================================================================== */

function swiper_option(container,pagenation){
	if($(".swiper-wrapper").size() > 0)
	{
		var swiper = new Swiper(container, {
			pagination: pagenation,
        	nextButton: '.swiper-button-next',
        	prevButton: '.swiper-button-prev',
			slidesPerView: 1, //ウィンドウ内にいくつ表示させるか
			paginationClickable: true,
			speed: 600,
			autoplay: 3000,
			autoplayDisableOnInteraction: false,
			spaceBetween: 0, //画像の隙間
			loop: true
		});	
	}
}